## EContactStore

EContactStore

## Synopsis

                        EContactStore;
    EContactStore*      e_contact_store_new                 (void);
    EBook*              e_contact_store_get_book            (EContactStore *contact_store,
                                                             GtkTreeIter *iter);
    EContact*           e_contact_store_get_contact         (EContactStore *contact_store,
                                                             GtkTreeIter *iter);
    gboolean            e_contact_store_find_contact        (EContactStore *contact_store,
                                                             const gchar *uid,
                                                             GtkTreeIter *iter);
    GList*              e_contact_store_get_books           (EContactStore *contact_store);
    void                e_contact_store_add_book            (EContactStore *contact_store,
                                                             EBook *book);
    void                e_contact_store_remove_book         (EContactStore *contact_store,
                                                             EBook *book);
    void                e_contact_store_set_query           (EContactStore *contact_store,
                                                             EBookQuery *book_query);
    EBookQuery*         e_contact_store_peek_query          (EContactStore *contact_store);
    EBookView*          find_contact_source_by_book_return_view
                                                            (EContactStore *contact_store,
                                                             EBook *book);

## Object Hierarchy

      GObject
       +----EContactStore

## Implemented Interfaces

EContactStore implements GtkTreeModel.

## Description

## Details

### EContactStore

    typedef struct _EContactStore EContactStore;

### e_contact_store_new ()

    EContactStore*      e_contact_store_new                 (void);

Returns : |

### e_contact_store_get_book ()

    EBook*              e_contact_store_get_book            (EContactStore *contact_store,
                                                             GtkTreeIter *iter);

`contact_store` : |
`iter` : |
Returns : |

### e_contact_store_get_contact ()

    EContact*           e_contact_store_get_contact         (EContactStore *contact_store,
                                                             GtkTreeIter *iter);

`contact_store` : |
`iter` : |
Returns : |

### e_contact_store_find_contact ()

    gboolean            e_contact_store_find_contact        (EContactStore *contact_store,
                                                             const gchar *uid,
                                                             GtkTreeIter *iter);

`contact_store` : |
`uid` : |
`iter` : |
Returns : |

### e_contact_store_get_books ()

    GList*              e_contact_store_get_books           (EContactStore *contact_store);

`contact_store` : |
Returns : |

### e_contact_store_add_book ()

    void                e_contact_store_add_book            (EContactStore *contact_store,
                                                             EBook *book);

`contact_store` : |
`book` : |

### e_contact_store_remove_book ()

    void                e_contact_store_remove_book         (EContactStore *contact_store,
                                                             EBook *book);

`contact_store` : |
`book` : |

### e_contact_store_set_query ()

    void                e_contact_store_set_query           (EContactStore *contact_store,
                                                             EBookQuery *book_query);

`contact_store` : |
`book_query` : |

### e_contact_store_peek_query ()

    EBookQuery*         e_contact_store_peek_query          (EContactStore *contact_store);

`contact_store` : |
Returns : |

### find_contact_source_by_book_return_view ()

    EBookView*          find_contact_source_by_book_return_view
                                                            (EContactStore *contact_store,
                                                             EBook *book);

`contact_store` : |
`book` : |
Returns : |